extends Node

export(Array, AudioStream) var audio_files: Array

var audio_files_size: int
var screen_size = OS.get_screen_size()

var ball = preload("res://Ball.tscn")
var planet_location = Vector2()
var canshoot = true

func _ready() -> void:
	print(screen_size)
	$help.hide()
	randomize()
	audio_files_size = audio_files.size()
	planet_location = $Planet.position

func play_random() -> void:
	var random_index: = randi() % audio_files_size
	$AudioStreamPlayer.stream = audio_files[random_index]
	$AudioStreamPlayer.play()
	yield ($AudioStreamPlayer, "finished")
	$AudioStreamPlayer.stop()


func _unhandled_key_input(event):
	if canshoot:
		canshoot = false
		$can_shoot_timer.start()
		play_random()
		make_ball()

func make_ball():
	var new_ball = ball.instance()
	new_ball.position = planet_location
	add_child(new_ball)
	


func _on_Button_button_down():
	$help.show()


func _on_close_window_button_down():
	$help.hide()


func _on_exit_game_button_down():
	get_tree().quit()


func _on_can_shoot_timer_timeout():
	canshoot = true
